# Return message's top 200 lines in BoxTrapper queue

This function returns the first 200 lines of an email in the BoxTrapper queue.

Important:

When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /BoxTrapper/get_message
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `email` (any, required)
    The account’s name, either an email address or the cPanel user’s username.

Important:

 If you call this function in Webmail, the system ignores this parameter.
    Example: "user@example.com"

  - `queuefile` (string, required)
    The message's filename.
    Example: "example.msg"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_message"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (object)

  - `result.data.content` (string)
    The email message's contents. Up to the first 200 lines of an email message.
    Example: "From user@example.com Tue May 07 08:30:36 2019\nReceived: from user by example.com with local (Exim 4.92) (envelope-from <root@yourserver.net>)\n    id 1hO0B1-0003Ev-Md for user2@example.com; Tue, 07 May 2019 08:30:36 -0500\nFrom: user3@example.com\nSubject: Message\nMessage-Id: <E1hO0B1-0003Ev-Md@yourserver.net>\nDate: Tue, 07 May 2019 08:30:35 -0500\n\nThis is an email message"

  - `result.data.contents` (any)

  - `result.data.queuefile` (string)
    The message's filename.
    Example: "example.msg"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


